Bug 430239 - SDL_image / gd: GIF handling buffer overflow
SDL_image / gd: GIF handling buffer overflow
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: SDL_image (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks: CVE-2007-6697
  Show dependency treegraph
 
Reported: 2008-01-25 09:56 EST by Brian Pepple
Modified: 2008-02-01 20:18 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2.6-5.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 20:18:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2008-01-25 09:56:50 EST
Description of problem:

How reproducible: Input validation flaw was discovered in the SDL_image
image handling library. Value read from the Gif file is not properly validated
against the buffer size and can cause a buffer overflow.
Comment 1 Tomas Hoger 2008-01-25 10:05:11 EST
Brian, feel free to mention #430100 in the RPM changelog, as that bug is
expected to contain more details about the issue.
Comment 2 Fedora Update System 2008-01-27 02:28:55 EST
SDL_image-1.2.6-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update SDL_image'.  You can provide feedback for this update here: http://admin.fedoraproject.org/F8/FEDORA-2008-1117
Comment 3 Fedora Update System 2008-02-01 20:18:43 EST
SDL_image-1.2.6-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.